Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602901 - selinux: define the behavior when selinux_state not given
Summary: selinux: define the behavior when selinux_state not given
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-system-roles
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Cahyna
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 1479381
TreeView+ depends on / blocked
 
Reported: 2018-07-18 19:16 UTC by Pavel Cahyna
Modified: 2019-01-18 13:16 UTC (History)
4 users (show)

Fixed In Version: rhel-system-roles-1.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-18 13:16:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github linux-system-roles selinux pull 13 None None None 2018-07-19 07:44:09 UTC
Red Hat Bugzilla 1616018 None CLOSED documentation updates of rhel-system-roles 2019-01-18 13:14:07 UTC
Red Hat Product Errata RHEA-2018:2385 None None None 2019-01-18 13:16:04 UTC

Internal Links: 1616018

Description Pavel Cahyna 2018-07-18 19:16:19 UTC
It is a question what should the role do when selinux_state is not given. Providing a default value is potentially dangerous as it lets the users break accidentally their systems or render them insecure. One could keep the current state of the system, but the result would then depend on the previous state. We thought with the PM that the safest option is to require the value to be given. This could be discussed.

Comment 3 Lukas Vrabec 2018-07-20 12:35:25 UTC
PR merged.

Comment 4 Pavel Cahyna 2018-08-01 11:11:04 UTC
test: tests/tests_all_transitions.yml after https://github.com/linux-system-roles/selinux/pull/29 is merged.


Note You need to log in before you can comment on or make changes to this bug.